## gtk-theme-switch-2.0.0rc2.tar.gz

=== Makefile ===
GCC = cc
PREFIX=/usr/local
CFLAGS = -O2 -Wall $(shell pkg-config --cflags gtk+-2.0)
LIBS = $(shell pkg-config --libs gtk+-2.0)
CFLAGS += -DGTK_DISABLE_BROKEN -DGTK_DISABLE_DEPRECATED

VERSION = 2.0.0rc2
all: switch

switch: switch.c switch.h
	${GCC} -o switch2 switch.c ${CFLAGS} ${LIBS}

clean:
	-rm -f switch2 *~
	
install: all
	strip switch2
	mkdir -p ${PREFIX}/bin
	mkdir -p ${PREFIX}/man
	install -c switch2 ${PREFIX}/bin
	install -c switch.1 ${PREFIX}/man

dist: clean
	rm -rf /tmp/gtk-theme-switch-$(VERSION)
	cp -r . /tmp/gtk-theme-switch-$(VERSION)
	tar czf ../gtk-theme-switch-$(VERSION).tar.gz -C /tmp/ gtk-theme-switch-$(VERSION)
	rm -rf /tmp/gtk-theme-switch-$(VERSION)

=== debian/changelog ===
gtk-theme-switch (1.0-1) unstable; urgency=medium
  * Major new upstream release

 -- Aaron Lehmann <aaronl@vitelus.com>  Tue, 31 Oct 2000 18:32:11 -0700

gtk-theme-switch (0.4-4) unstable; urgency=low
  * Use debhelper
  * Depend on Gtk::Perl (libgtk-perl)

 -- Aaron Lehmann <aaronl@vitelus.com>  Fri, 22 Sep 2000 16:29:36 -0700

gtk-theme-switch (0.4-3) unstable; urgency=low
  * make it actually work

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 18 Sep 2000 18:45:03 -0700

gtk-theme-switch (0.4-2) unstable; urgency=low
  * Make undocumented man pages work
  * Depend on perl
  * Fix first line of README

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 18 Sep 2000 17:28:58 -0700

gtk-theme-switch (0.4-1) unstable; urgency=low

  * Initial release.

 -- Aaron Lehmann <aaronl@vitelus.com>  Mon, 18 Sep 2000 16:53:50 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: gtk-theme-switch
Section: x11
Priority: optional
Maintainer: Aaron Lehmann <aaronl@vitelus.com>
Standards-Version: 3.1.1
Build-Depends: libgtk1.2-dev, debhelper (>= 1.1.17)

Package: gtk-theme-switch
Architecture: any
Depends: ${shlibs:Depends}, tar
Description: Gtk+ theme switching utility
 A Gtk+ theme switching utility that can be run from the console, and has an
 optional GUI dock and theme preview. It also can install themes downloaded
 from gtk.themes.org.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p debian/tmp/usr

	$(MAKE) install PREFIX=debian/tmp/usr

	rm -rf debian/tmp/usr/share/man
	mkdir -p debian/tmp/usr/share/man/man1
	mv debian/tmp/usr/man/* debian/tmp/usr/share/man/man1/

	dh_movefiles

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_strip
	dh_link
	dh_compress
	dh_installmanpages
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install
